#pragma once

#include "CoreMinimal.h"
#include "UObject/NoExportTypes.h"
#include "AIEnemyTracker.generated.h"

class ADBDAIBTController;
class UDBDAIEnemyTrackerComponent;
class UDBDAIPerceptionComponent;
class ADBDPlayer;

UCLASS(Blueprintable, Abstract, EditInlineNew)
class DBDBOTS_API UAIEnemyTracker : public UObject
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	ADBDAIBTController* _aiController;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Instanced)
	UDBDAIEnemyTrackerComponent* _trackerComponent;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Instanced)
	UDBDAIPerceptionComponent* _perceptionComponent;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	ADBDPlayer* _dbdPlayer;

public:
	UAIEnemyTracker();
};

FORCEINLINE uint32 GetTypeHash(const UAIEnemyTracker) { return 0; }
